다음을 통해 공유


Insights - Create

인사이트 리소스 생성, 관리자 전용 작업입니다

PUT https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Impact/workloadImpacts/{workloadImpactName}/insights/{insightName}?api-version=2026-01-01-preview

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
insightName
path True

string

pattern: ^[a-zA-Z0-9][a-zA-Z0-9.]*[a-zA-Z0-9]{3,180}$

통찰의 이름

subscriptionId
path True

string (uuid)

대상 구독의 ID입니다. 값은 UUID여야 합니다.

workloadImpactName
path True

string

pattern: ^[a-zA-Z0-9][a-zA-Z0-9-:]*[a-zA-Z0-9]{3,120}$

워크로드 영향 자원

api-version
query True

string

minLength: 1

이 작업에 사용할 API 버전입니다.

요청 본문

Name 형식 Description
properties

InsightProperties

이 리소스에 대한 리소스별 속성입니다.

응답

Name 형식 Description
200 OK

Insight

리소스 '인사이트' 업데이트 작업 성공

201 Created

Insight

리소스 '인사이트' 창조 작업 성공

Other Status Codes

ErrorResponse

예기치 않은 오류 응답입니다.

보안

azure_auth

Azure Active Directory OAuth2 Flow.

형식: oauth2
Flow: implicit
권한 부여 URL: https://login.microsoftonline.com/common/oauth2/authorize

범위

Name Description
user_impersonation 사용자 계정 가장

예제

Creating an insight

샘플 요청

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Impact/workloadImpacts/impactid22/insights/insightId12?api-version=2026-01-01-preview

{
  "properties": {
    "content": {
      "title": "Impact Has been correlated to an outage",
      "description": "At 2018-11-08T00:00:00Z UTC, your services dependent on these resources <link href=”…”>VM1</link> may have experienced an issue. <br/><div>We have identified an outage that affected these resources(s). You can look at outage information on <link href=\"https:// portal.azure.com/#view/Microsoft_Azure_Health/AzureHealthBrowseBlade/~/serviceIssues/trackingId/NL2W-VCZ\">NL2W-VCZ</link> link.<div>"
    },
    "category": "repair",
    "status": "resolved",
    "eventTime": "2023-06-15T04:00:00.009223Z",
    "insightUniqueId": "00000000-0000-0000-0000-000000000000",
    "impact": {
      "impactedResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resource-rg/providers/Microsoft.Sql/sqlserver/dbservername",
      "startTime": "2023-06-15T01:00:00.009223Z",
      "impactId": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/microsoft.Impact/workloadImpacts/impactid22"
    }
  }
}

샘플 응답

{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/microsoft.Impact/workloadImpacts/impactid22/insights/insightId12",
  "name": "insightId12",
  "type": "Microsoft.Impact/insights",
  "properties": {
    "eventTime": "2023-06-15T04:00:00.009223Z",
    "content": {
      "title": "Impact Has been correlated to an outage",
      "description": "At 2018-11-08T00:00:00Z UTC, your services dependent on these resources <link href=”…”>VM1</link> may have experienced an issue. <br/><div>We have identified an outage that affected these resources(s). You can look at outage information on <link href=\"https:// portal.azure.com/#view/Microsoft_Azure_Health/AzureHealthBrowseBlade/~/serviceIssues/trackingId/NL2W-VCZ\">NL2W-VCZ</link> link.<div>"
    },
    "category": "repair",
    "status": "resolved",
    "insightUniqueId": "00000000-0000-0000-0000-000000000000",
    "impact": {
      "impactedResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resource-rg/providers/Microsoft.Sql/sqlserver/dbservername",
      "startTime": "2023-06-15T01:00:00.009223Z",
      "impactId": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/microsoft.Impact/workloadImpacts/impactid22"
    }
  }
}
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/microsoft.Impact/workloadImpacts/impactid22/insights/insightId12",
  "name": "insightId12",
  "type": "Microsoft.Impact/insights",
  "properties": {
    "eventTime": "2023-06-15T04:00:00.009223Z",
    "content": {
      "title": "Impact Has been correlated to an outage",
      "description": "At 2018-11-08T00:00:00Z UTC, your services dependent on these resources <link href=”…”>VM1</link> may have experienced an issue. <br/><div>We have identified an outage that affected these resources(s). You can look at outage information on <link href=\"https:// portal.azure.com/#view/Microsoft_Azure_Health/AzureHealthBrowseBlade/~/serviceIssues/trackingId/NL2W-VCZ\">NL2W-VCZ</link> link.<div>"
    },
    "category": "repair",
    "status": "resolved",
    "insightUniqueId": "00000000-0000-0000-0000-000000000000",
    "impact": {
      "impactedResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resource-rg/providers/Microsoft.Sql/sqlserver/dbservername",
      "startTime": "2023-06-15T01:00:00.009223Z",
      "impactId": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/microsoft.Impact/workloadImpacts/impactid22"
    }
  }
}

정의

Name Description
Content

인사이트의 제목, 설명 등 기사 세부 내용

createdByType

리소스를 만든 ID의 형식입니다.

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

ErrorDetail

오류 세부 정보입니다.

ErrorResponse

오류 응답

ImpactDetails

인사이트가 생성된 영향에 대한 세부 정보입니다.

Insight

인사이트 리소스

InsightProperties

영향 범주 특성.

ProvisioningState

리소스의 프로비전 상태입니다.

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

Content

인사이트의 제목, 설명 등 기사 세부 내용

Name 형식 Description
description

string

인사이트에 대한 설명

title

string

인사이트 제목

createdByType

리소스를 만든 ID의 형식입니다.

Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

Name 형식 Description
info

object

추가 정보입니다.

type

string

추가 정보 유형입니다.

ErrorDetail

오류 세부 정보입니다.

Name 형식 Description
additionalInfo

ErrorAdditionalInfo[]

오류 추가 정보입니다.

code

string

오류 코드입니다.

details

ErrorDetail[]

오류 세부 정보입니다.

message

string

오류 메시지입니다.

target

string

오류 대상입니다.

ErrorResponse

오류 응답

Name 형식 Description
error

ErrorDetail

오류 개체입니다.

ImpactDetails

인사이트가 생성된 영향에 대한 세부 정보입니다.

Name 형식 Description
endTime

string (date-time)

보고된 영향에 따라 영향이 종료된 시간입니다.

impactId

string

Azure Id의 영향.

impactedResourceId

string

영향을 받는 Azure 리소스 목록.

startTime

string (date-time)

보고된 영향에 따라 영향이 시작된 시간입니다.

Insight

인사이트 리소스

Name 형식 Description
id

string (arm-id)

리소스에 대한 정규화된 리소스 ID입니다. 예: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

리소스의 이름

properties

InsightProperties

이 리소스에 대한 리소스별 속성입니다.

systemData

systemData

Azure Resource Manager 메타데이터에 createdBy 및 modifiedBy 정보가 포함되어 있습니다.

type

string

리소스의 형식입니다. 예를 들어, "Microsoft. 컴퓨트/가상 머신" 또는 "Microsoft." 저장소/저장소 계정"

InsightProperties

영향 범주 특성.

Name 형식 Description
additionalDetails

object

인사이트에 대한 추가 세부 정보입니다.

category

string

인사이트 범주입니다.

content

Content

인사이트에 대한 제목 & 설명을 포함합니다.

eventId

string

이 인사이트와 상관 관계가 있는 이벤트의 식별자입니다. 동일한 이벤트에 대한 인사이트를 집계하는 데 사용할 수 있습니다.

eventTime

string (date-time)

영향과 상관 관계가 있는 이벤트의 시간입니다.

groupId

string

유사한 인사이트를 그룹화하는 데 사용할 수 있는 식별자입니다.

impact

ImpactDetails

인사이트가 생성된 영향에 대한 세부 정보입니다.

insightUniqueId

string

인사이트의 고유 ID입니다.

provisioningState

ProvisioningState

리소스 프로비저닝 상태.

status

string

인사이트의 상태입니다. 예제 확인됨, 복구됨, 기타.

ProvisioningState

리소스의 프로비전 상태입니다.

Description
Succeeded

공급 성공

Failed

프로비저닝 실패

Canceled

프로비저닝 취소

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

Name 형식 Description
createdAt

string (date-time)

리소스 만들기의 타임스탬프(UTC)입니다.

createdBy

string

리소스를 만든 ID입니다.

createdByType

createdByType

리소스를 만든 ID의 형식입니다.

lastModifiedAt

string (date-time)

리소스 마지막 수정의 타임스탬프(UTC)

lastModifiedBy

string

리소스를 마지막으로 수정한 ID입니다.

lastModifiedByType

createdByType

리소스를 마지막으로 수정한 ID의 형식입니다.